Generate a chat completion
- Base URL
-
https://{kibana_url}
- POST /api/observability_ai_assistant/chat/complete
Create a new chat completion by using the Observability AI Assistant.
The API returns the model's response based on the current conversation context.
It also handles any tool requests within the conversation, which may trigger multiple calls to the underlying large language model (LLM).
This functionality is in technical preview and may be changed or removed in a future release. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features.
Request body
-
conversationIdstring -
A unique identifier for the conversation if you are continuing an existing conversation.
-
disableFunctionsboolean -
Flag indicating whether all function calls should be disabled for the conversation. If true, no calls to functions will be made.
-
instructionsoneOf -
An array of instruction objects, which can be either simple strings or detailed objects.
string
A simple instruction represented as a string.
Response
Successful response
Response Type: object